import * as queryOptions from '../queryOptionTypes';
import { Account } from '../requestTypes';
import { AccountLinkResponse, AccountResponse, ResultSetResponse } from '../responseTypes';
import Collection from './abstractCollection';
export default class Accounts extends Collection {
    post(account: Account): Promise<AccountResponse>;
    get(options?: queryOptions.Status): Promise<ResultSetResponse<AccountResponse>>;
    getAccount(key: string): Promise<AccountResponse>;
    putAccount(key: string, account: Account): Promise<AccountResponse>;
    deleteAccount(key: string): Promise<void>;
    getAccountLinksForAccount(key: string): Promise<ResultSetResponse<AccountLinkResponse>>;
}
