import * as queryOptions from '../queryOptionTypes';
import { Customer } from '../requestTypes';
import { AccountResponse, CustomerResponse, ResultSetResponse } from '../responseTypes';
import Collection from './abstractCollection';
export default class Customers extends Collection {
    post(customer: Customer): Promise<CustomerResponse>;
    get(options?: queryOptions.Id): Promise<ResultSetResponse<CustomerResponse>>;
    getCustomer(key: string): Promise<CustomerResponse>;
    putCustomer(key: string, customer: Customer): Promise<CustomerResponse>;
    deleteCustomer(key: string): Promise<void>;
    getAccountsForCustomer(key: string): Promise<ResultSetResponse<AccountResponse>>;
}
