"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const abstractCollection_1 = require("./abstractCollection");
class Plans extends abstractCollection_1.default {
    get(options) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.createAndSendRequest('/plans', {
                query: options,
            });
        });
    }
    post(plan) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.createAndSendRequest('/plans', {
                body: plan,
                method: 'POST',
            });
        });
    }
    getPlan(id, options) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.createAndSendRequest(`/plans/${id}`, {
                query: options,
            });
        });
    }
    putPlan(id, plan) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.createAndSendRequest(`/plans/${id}`, {
                body: plan,
                method: 'PUT',
            });
        });
    }
    deletePlan(id) {
        return __awaiter(this, void 0, void 0, function* () {
            yield this.createAndSendRequest(`/plans/${id}`, {
                method: 'DELETE',
            });
        });
    }
    getForUser(accountId, options) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.createAndSendRequest(`/plans/user/${accountId}`, {
                query: options,
            });
        });
    }
}
exports.default = Plans;
//# sourceMappingURL=plans.js.map