import { TeamMembership, TeamMembershipNew } from '../requestTypes';
import { ResultSetResponse, TeamMemberMembershipFullResponse } from '../responseTypes';
import Collection from './abstractCollection';
export default class TeamMemberships extends Collection {
    /**
     * Creates a new membership.
     */
    post(teamMembership: TeamMembershipNew): Promise<TeamMemberMembershipFullResponse>;
    /**
     * Retrieve an existing membership for the given id.
     */
    getTeamMembership(id: string): Promise<TeamMemberMembershipFullResponse>;
    /**
     * Update an existing membership for the given id.
     */
    putTeamMembership(id: string, teamMembership: TeamMembership): Promise<TeamMemberMembershipFullResponse>;
    /**
     * Delete an existing membership.
     */
    deleteTeamMembership(id: string): Promise<void>;
    /**
     * Retrieves all the memberships of the team.
     */
    getTeamMembershipsForTeam(id: string): Promise<ResultSetResponse<TeamMemberMembershipFullResponse>>;
}
