"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const abstractCollection_1 = require("./abstractCollection");
class TeamMemberships extends abstractCollection_1.default {
    /**
     * Creates a new membership.
     */
    post(teamMembership) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.createAndSendRequest('/team-memberships', {
                body: teamMembership,
                method: 'POST',
            });
        });
    }
    /**
     * Retrieve an existing membership for the given id.
     */
    getTeamMembership(id) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.createAndSendRequest(`/team-memberships/${id}`);
        });
    }
    /**
     * Update an existing membership for the given id.
     */
    putTeamMembership(id, teamMembership) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.createAndSendRequest(`/team-memberships/${id}`, {
                body: teamMembership,
                method: 'PUT',
            });
        });
    }
    /**
     * Delete an existing membership.
     */
    deleteTeamMembership(id) {
        return __awaiter(this, void 0, void 0, function* () {
            yield this.createAndSendRequest(`/team-memberships/${id}`, {
                method: 'DELETE',
            });
        });
    }
    /**
     * Retrieves all the memberships of the team.
     */
    getTeamMembershipsForTeam(id) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.createAndSendRequest(`/team-memberships/team/${id}`);
        });
    }
}
exports.default = TeamMemberships;
//# sourceMappingURL=teamMemberships.js.map