"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const abstractCollection_1 = require("./abstractCollection");
class Teams extends abstractCollection_1.default {
    post(team) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.createAndSendRequest('/teams', {
                body: team,
                method: 'POST',
            });
        });
    }
    get() {
        return __awaiter(this, void 0, void 0, function* () {
            return this.createAndSendRequest('/teams');
        });
    }
    getTeam(id) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.createAndSendRequest(`/teams/${id}`);
        });
    }
    putTeam(id, team) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.createAndSendRequest(`/teams/${id}`, {
                body: team,
                method: 'PUT',
            });
        });
    }
    deleteTeam(id) {
        return __awaiter(this, void 0, void 0, function* () {
            yield this.createAndSendRequest(`/teams/${id}`, {
                method: 'DELETE',
            });
        });
    }
    getTeamLinksForTeam(id) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.createAndSendRequest(`/teams/${id}/links`);
        });
    }
    getMembersForTeam(id) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.createAndSendRequest(`/teams/${id}/members`);
        });
    }
    getMemberForTeam(id, accountId) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.createAndSendRequest(`/teams/${id}/members/${accountId}`);
        });
    }
    getMemberMembershipsForTeam(id, accountId) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.createAndSendRequest(`/teams/${id}/members/${accountId}/memberships`);
        });
    }
    getPermissionsForTeam(id) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.createAndSendRequest(`/teams/${id}/permissions`);
        });
    }
    getPermissionForTeam(id, key) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.createAndSendRequest(`/teams/${id}/permissions/${key}`);
        });
    }
}
exports.default = Teams;
//# sourceMappingURL=teams.js.map