import * as queryOptions from '../queryOptionTypes';
import { TimesheetApproval, TimesheetApprovalRequest } from '../requestTypes';
import { ResultSetResponse, TimesheetApprovalResponse, UserResponse } from '../responseTypes';
import Collection from './abstractCollection';
export default class TimesheetApprovals extends Collection {
    getWaiting(): Promise<ResultSetResponse<TimesheetApprovalResponse>>;
    getForUser(accountId: string, options: queryOptions.DateRange): Promise<TimesheetApprovalResponse>;
    getReviewersForUser(accountId: string): Promise<ResultSetResponse<UserResponse>>;
    postApproveTimesheetForUser(accountId: string, timesheetApproval: TimesheetApproval, options: queryOptions.DateRange): Promise<TimesheetApprovalResponse>;
    postRejectTimesheetForUser(accountId: string, timesheetApproval: TimesheetApproval, options: queryOptions.DateRange): Promise<TimesheetApprovalResponse>;
    postReopenTimesheetForUser(accountId: string, timesheetApproval: TimesheetApproval, options: queryOptions.DateRange): Promise<TimesheetApprovalResponse>;
    postSubmitTimesheetForUser(accountId: string, timesheetApprovalRequest: TimesheetApprovalRequest, options: queryOptions.DateRange): Promise<TimesheetApprovalResponse>;
    getForTeam(teamId: string, options: queryOptions.DateRange): Promise<ResultSetResponse<TimesheetApprovalResponse>>;
}
