import { WorkAttribute } from '../requestTypes';
import { ResultSetResponse, WorkAttributeResponse } from '../responseTypes';
import Collection from './abstractCollection';
export default class WorkAttributes extends Collection {
    /**
     * Retrieve all work attributes
     */
    get(): Promise<ResultSetResponse<WorkAttributeResponse>>;
    /**
     * Create a work attribute
     */
    post(workAttribute: WorkAttribute): Promise<WorkAttributeResponse>;
    /**
     * Retrieve an existing work attribute for the given key
     */
    getWorkAttribute(key: string): Promise<WorkAttributeResponse>;
    /**
     * Update an existing work attribute for the given key
     */
    putWorkAttribute(key: string, workAttribute: WorkAttribute): Promise<WorkAttributeResponse>;
    /**
     * Delete an existing work attribute for the given key
     */
    deleteWorkAttribute(key: string): Promise<void>;
}
