import * as queryOptions from '../queryOptionTypes';
import { Worklog, WorklogAttributeValue, WorklogAttributeValues } from '../requestTypes';
import { PaginatedResultSetResponse, ResultSetResponse, WorklogResponse } from '../responseTypes';
import Collection from './abstractCollection';
export default class Worklogs extends Collection {
    get(options?: Partial<queryOptions.Issues & queryOptions.Projects & queryOptions.DateRange & queryOptions.UpdatedFrom & queryOptions.Pagination>): Promise<PaginatedResultSetResponse<WorklogResponse>>;
    post(worklog: Worklog): Promise<WorklogResponse>;
    getWorklog(worklogId: string): Promise<WorklogResponse>;
    putWorklog(worklogId: string, worklog: Worklog): Promise<WorklogResponse>;
    deleteWorklog(worklogId: string): Promise<void>;
    getWorklogWorkAttributeValues(worklogId: string): Promise<ResultSetResponse<WorklogAttributeValue>>;
    getWorklogWorkAttributeValuesByKey(worklogId: string, key: string): Promise<WorklogAttributeValue>;
    getForJiraWorklog(jiraWorklogId: string): Promise<WorklogResponse>;
    getForJiraFilter(jiraFilterId: string, options?: Partial<queryOptions.DateRange & queryOptions.UpdatedFrom & queryOptions.Pagination>): Promise<PaginatedResultSetResponse<WorklogResponse>>;
    getForAccount(accountKey: string, options?: Partial<queryOptions.DateRange & queryOptions.UpdatedFrom & queryOptions.Pagination>): Promise<PaginatedResultSetResponse<WorklogResponse>>;
    getForProject(projectKey: string, options?: Partial<queryOptions.DateRange & queryOptions.UpdatedFrom & queryOptions.Pagination>): Promise<PaginatedResultSetResponse<WorklogResponse>>;
    getForTeam(teamId: string, options?: Partial<queryOptions.DateRange & queryOptions.UpdatedFrom & queryOptions.Pagination>): Promise<PaginatedResultSetResponse<WorklogResponse>>;
    getForUser(accountId: string, options?: Partial<queryOptions.DateRange & queryOptions.UpdatedFrom & queryOptions.Pagination>): Promise<PaginatedResultSetResponse<WorklogResponse>>;
    getForIssue(key: string, options?: Partial<queryOptions.DateRange & queryOptions.UpdatedFrom & queryOptions.Pagination>): Promise<PaginatedResultSetResponse<WorklogResponse>>;
    /**
     * Bulk create work attribute values for worklogs
     */
    postWorkAttributeValues(worklogAttributeValuesList: WorklogAttributeValues[]): Promise<PaginatedResultSetResponse<WorklogResponse>>;
}
